WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Warning: Illegal string offset

[Resolved] Warning: Illegal string offset

  • Rec’d following warning text at top of posts:

    ———-/begin/—————–
    Warning: Illegal string offset ‘Amount’ in /wp-content/plugins/amazon-product-in-a-post-plugin/inc/aws_signed_request.php on line 179

    Warning: Illegal string offset ‘Amount’ in /wp-content/plugins/amazon-product-in-a-post-plugin/inc/aws_signed_request.php on line 180

    Warning: Illegal string offset ‘CurrencyCode’ in /wp-content/plugins/amazon-product-in-a-post-plugin/inc/aws_signed_request.php on line 180

    Warning: Illegal string offset ‘CurrencyCode’ in /wp-content/plugins/amazon-product-in-a-post-plugin/inc/aws_signed_request.php on line 181

    Warning: Illegal string offset ‘FormattedPrice’ in /wp-content/plugins/amazon-product-in-a-post-plugin/inc/aws_signed_request.php on line 182

    —–/end/————–

    Any thoughts on why?

    http://wordpress.org/extend/plugins/amazon-product-in-a-post-plugin/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Don Fischer
    Member

    @prophecy2040

    Can you tell me what version of the Plugin you are using, the version of WordsPress, and your php version (if you know it)?

    Many thanks!

    Plugin: 2.0.2
    Wordpress: 3.5.1
    PHP 5.4

    LOVE your plugin! Thx for any guidance you can provide.

    Best regards…

    Plugin Author Don Fischer
    Member

    @prophecy2040

    Atticis,
    There is a new version of the plugin if you want to see if the issue is fixed. Let me know if you have issues.
    Regards,
    Don

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Warning: Illegal string offset’ is closed to new replies.